<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/fmc.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">fmc.h</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/d00/fmc_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#ifndef __FMC_H__</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="preprocessor">#define __FMC_H__</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>{</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="comment">/* Define Base Address                                                                                     */</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8235cda134e379be467ee8fbc6fe378a">   38</a></span><span class="preprocessor">#define FMC_APROM_BASE          0x00000000UL    </span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5c09ead5a3124158e97ea4cc1e149f19">   39</a></span><span class="preprocessor">#define FMC_APROM_END           0x00008000UL    </span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga50e93efe1f81bc0ebf35789bfec41613">   40</a></span><span class="preprocessor">#define FMC_LDROM_BASE          0x00100000UL    </span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0b3d9bbe4809779d21ff9635f376bcee">   41</a></span><span class="preprocessor">#define FMC_LDROM_END           0x00101000UL    </span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga661c36b78e061bb2391c3ea1526c86d3">   42</a></span><span class="preprocessor">#define FMC_SPROM_BASE          0x00200000UL    </span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaa7b898ae9cc85feb18795a8110b8e6a">   43</a></span><span class="preprocessor">#define FMC_SPROM_END           0x00200200UL    </span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga52a7acc3043b680daac35a5ec0189c3b">   44</a></span><span class="preprocessor">#define FMC_CONFIG_BASE         0x00300000UL    </span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4881161aeabc72682b57e928fbcf9ed7">   46</a></span><span class="preprocessor">#define FMC_FLASH_PAGE_SIZE     0x200           </span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1a7c7f6b2777da8466a98905e171d87b">   47</a></span><span class="preprocessor">#define FMC_LDROM_SIZE          0x1000          </span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga86383a94592860a6e4d2fb391ed70f48">   49</a></span><span class="preprocessor">#define FMC_TIMEOUT_READ        ((SystemCoreClock/10)*2) </span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac8b01409d41454d5b67afe38a0453d43">   50</a></span><span class="preprocessor">#define FMC_TIMEOUT_WRITE       ((SystemCoreClock/10)*2) </span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga169a984ef7e9360c545fd9d11d398d32">   51</a></span><span class="preprocessor">#define FMC_TIMEOUT_ERASE       ((SystemCoreClock/10)*4) </span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga57006e2f057a106c1e2df8a8291b5e8b">   52</a></span><span class="preprocessor">#define FMC_TIMEOUT_CHKSUM      (SystemCoreClock*2)      </span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span><span class="comment">/*  ISPCMD constant definitions                                                                            */</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9ef5fc95ade50272ef27548db3cc833d">   57</a></span><span class="preprocessor">#define FMC_ISPCMD_READ         0x00            </span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1aaae73ab5d5e5a4cee66c98e14623d5">   58</a></span><span class="preprocessor">#define FMC_ISPCMD_PROGRAM      0x21            </span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafc49387d8d57bcd15b65f0dc3002ccdd">   59</a></span><span class="preprocessor">#define FMC_ISPCMD_PAGE_ERASE   0x22            </span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5b1b56e5bfe7a7df142ec9c4c0466cee">   60</a></span><span class="preprocessor">#define FMC_ISPCMD_READ_CID     0x0B            </span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga812d22e2cb56c1a796b90a08fca60805">   61</a></span><span class="preprocessor">#define FMC_ISPCMD_READ_PID     0x0C            </span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf2ffaaafb784dda3627705765b00f26b">   62</a></span><span class="preprocessor">#define FMC_ISPCMD_READ_UID     0x04            </span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab4153087dcc74a23ac04f562d0d735d1">   63</a></span><span class="preprocessor">#define FMC_ISPCMD_VECMAP       0x2E            </span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0feefed824064f51d17b0fa287b86f05">   65</a></span><span class="preprocessor">#define IS_BOOT_FROM_APROM      0               </span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6bd927a6cf6d3bf096ecc3127b843f59">   66</a></span><span class="preprocessor">#define IS_BOOT_FROM_LDROM      1                </span><span class="comment">/* end of group NANO1X2_FMC_EXPORTED_CONSTANTS */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span> </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span><span class="comment">/*  Macros                                                                                                 */</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span> </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno"><a class="line" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1d851087b691d1b9bb2fe6b963b69653">   80</a></span><span class="preprocessor">#define FMC_SET_APROM_BOOT()        (FMC-&gt;ISPCON &amp;= ~FMC_ISPCON_BS_Msk)         </span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno"><a class="line" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga755870234f44c18df055023387ad419d">   81</a></span><span class="preprocessor">#define FMC_SET_LDROM_BOOT()        (FMC-&gt;ISPCON |= FMC_ISPCON_BS_Msk)          </span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga72b68a056b661e10f7bc1a1bbea14661">   82</a></span><span class="preprocessor">#define FMC_ENABLE_AP_UPDATE()      (FMC-&gt;ISPCON |=  FMC_ISPCON_APUEN_Msk)      </span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga32dda75d62bf6ece59033d410c932606">   83</a></span><span class="preprocessor">#define FMC_DISABLE_AP_UPDATE()     (FMC-&gt;ISPCON &amp;= ~FMC_ISPCON_APUEN_Msk)      </span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa482e0d0389b4b3661c20427665e5daf">   84</a></span><span class="preprocessor">#define FMC_ENABLE_CFG_UPDATE()     (FMC-&gt;ISPCON |=  FMC_ISPCON_CFGUEN_Msk)     </span></div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno"><a class="line" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9edbe1405f140aa36e5f3af3ac9360ae">   85</a></span><span class="preprocessor">#define FMC_DISABLE_CFG_UPDATE()    (FMC-&gt;ISPCON &amp;= ~FMC_ISPCON_CFGUEN_Msk)     </span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacc4e5743dfc1694c1bf5d6b61927eaef">   86</a></span><span class="preprocessor">#define FMC_ENABLE_LD_UPDATE()      (FMC-&gt;ISPCON |=  FMC_ISPCON_LDUEN_Msk)      </span></div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0c8a897c30934fe567b07e8190bef138">   87</a></span><span class="preprocessor">#define FMC_DISABLE_LD_UPDATE()     (FMC-&gt;ISPCON &amp;= ~FMC_ISPCON_LDUEN_Msk)      </span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabecb5bdcc058132dd01364334984ec41">   88</a></span><span class="preprocessor">#define FMC_DISABLE_ISP()           (FMC-&gt;ISPCON &amp;= ~FMC_ISPCON_ISPEN_Msk)      </span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno"><a class="line" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga515f2d247d1e6531fcd93cfd12462145">   89</a></span><span class="preprocessor">#define FMC_ENABLE_ISP()            (FMC-&gt;ISPCON |=  FMC_ISPCON_ISPEN_Msk)      </span></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno"><a class="line" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabfd5bac4eccadeb21c0f4bf5090032fa">   90</a></span><span class="preprocessor">#define FMC_GET_FAIL_FLAG()         ((FMC-&gt;ISPCON &amp; FMC_ISPCON_ISPFF_Msk) ? 1 : 0)  </span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno"><a class="line" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8365e3d94f7d37a357807c5ba9951b08">   91</a></span><span class="preprocessor">#define FMC_CLR_FAIL_FLAG()         (FMC-&gt;ISPCON |= FMC_ISPCON_ISPFF_Msk)       </span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span><span class="comment">/*  Functions                                                                                              */</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span> </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span><span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga100c2bb214379f1ffb7d7ad3b6bae466">FMC_Close</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span><span class="keyword">extern</span> int32_t <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga770503ecc8c81b51a08a512f3795ca0d">FMC_Erase</a>(uint32_t u32PageAddr);</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span><span class="keyword">extern</span> int32_t <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab6ee808b1bcd13ae19c206bab89bd718">FMC_GetBootSource</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span><span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadd57308fea4569d942facee962482f9e">FMC_Open</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span><span class="keyword">extern</span> uint32_t <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa137e07140d3d8782ccc2135a454fba5">FMC_Read</a>(uint32_t u32Addr);</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span><span class="keyword">extern</span> uint32_t <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga28f55079cc6dc3f4641d98bd66647509">FMC_ReadCID</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span><span class="keyword">extern</span> uint32_t <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab043658cd7493669ee3875a05be3485c">FMC_ReadPID</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span><span class="keyword">extern</span> uint32_t <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc1ab62919a2d7714a4514cafa1dfea8">FMC_ReadUCID</a>(uint32_t u32Index);</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span><span class="keyword">extern</span> uint32_t <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga592aa16573d8ed31aec3ad5fb4e3495a">FMC_ReadUID</a>(uint32_t u32Index);</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span><span class="keyword">extern</span> uint32_t <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8bc30659ec176ab90b22a7f469781a43">FMC_ReadDataFlashBaseAddr</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span><span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27d8d6317541982cc1555f44afcc7a92">FMC_SetVectorPageAddr</a>(uint32_t u32PageAddr);</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span><span class="keyword">extern</span> uint32_t <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d133263bbf32628fb34da7f3ce2f65a">FMC_GetVectorPageAddr</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span><span class="keyword">extern</span> int32_t <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga99d0a2fc9f1b2afadd34f8b3346a0db5">FMC_Write</a>(uint32_t u32Addr, uint32_t u32Data);</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span><span class="keyword">extern</span> int32_t <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21c1c982b1575821e1b95e67059686d5">FMC_ReadConfig</a>(uint32_t *u32Config, uint32_t u32Count);</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span><span class="keyword">extern</span> int32_t <a class="code hl_function" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba70c75883a8bba7ff7f93b3cc75fac6">FMC_WriteConfig</a>(uint32_t *u32Config, uint32_t u32Count);</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span> </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span> <span class="comment">/* end of group NANO1X2_FMC_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span> <span class="comment">/* end of group NANO1X2_FMC_Driver */</span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span> </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>}</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span> </div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span><span class="preprocessor">#endif   </span><span class="comment">// __FMC_H__</span></div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span> </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga100c2bb214379f1ffb7d7ad3b6bae466"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga100c2bb214379f1ffb7d7ad3b6bae466">FMC_Close</a></div><div class="ttdeci">void FMC_Close(void)</div><div class="ttdoc">Disable FMC ISP function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00038">fmc.c:38</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga21c1c982b1575821e1b95e67059686d5"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21c1c982b1575821e1b95e67059686d5">FMC_ReadConfig</a></div><div class="ttdeci">int32_t FMC_ReadConfig(uint32_t *u32Config, uint32_t u32Count)</div><div class="ttdoc">Execute ISP command to read User Configuration.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00292">fmc.c:292</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga27d8d6317541982cc1555f44afcc7a92"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27d8d6317541982cc1555f44afcc7a92">FMC_SetVectorPageAddr</a></div><div class="ttdeci">void FMC_SetVectorPageAddr(uint32_t u32PageAddr)</div><div class="ttdoc">This function will force re-map assigned flash page to CPU address 0x0.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00235">fmc.c:235</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga28f55079cc6dc3f4641d98bd66647509"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga28f55079cc6dc3f4641d98bd66647509">FMC_ReadCID</a></div><div class="ttdeci">uint32_t FMC_ReadCID(void)</div><div class="ttdoc">Read company ID.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00127">fmc.c:127</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga3d133263bbf32628fb34da7f3ce2f65a"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d133263bbf32628fb34da7f3ce2f65a">FMC_GetVectorPageAddr</a></div><div class="ttdeci">uint32_t FMC_GetVectorPageAddr(void)</div><div class="ttdoc">Obtain the current vector page address setting.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00252">fmc.c:252</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga592aa16573d8ed31aec3ad5fb4e3495a"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga592aa16573d8ed31aec3ad5fb4e3495a">FMC_ReadUID</a></div><div class="ttdeci">uint32_t FMC_ReadUID(uint32_t u32Index)</div><div class="ttdoc">This function reads one of the three UID.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00202">fmc.c:202</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga770503ecc8c81b51a08a512f3795ca0d"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga770503ecc8c81b51a08a512f3795ca0d">FMC_Erase</a></div><div class="ttdeci">int32_t FMC_Erase(uint32_t u32PageAddr)</div><div class="ttdoc">Execute ISP command to erase a flash page. The page size is 512 bytes.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00052">fmc.c:52</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga8bc30659ec176ab90b22a7f469781a43"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8bc30659ec176ab90b22a7f469781a43">FMC_ReadDataFlashBaseAddr</a></div><div class="ttdeci">uint32_t FMC_ReadDataFlashBaseAddr(void)</div><div class="ttdoc">Get the base address of Data Flash if enabled.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00224">fmc.c:224</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga99d0a2fc9f1b2afadd34f8b3346a0db5"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga99d0a2fc9f1b2afadd34f8b3346a0db5">FMC_Write</a></div><div class="ttdeci">int32_t FMC_Write(uint32_t u32Addr, uint32_t u32Data)</div><div class="ttdoc">Execute ISP command to program a word to flash.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00265">fmc.c:265</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaa137e07140d3d8782ccc2135a454fba5"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa137e07140d3d8782ccc2135a454fba5">FMC_Read</a></div><div class="ttdeci">uint32_t FMC_Read(uint32_t u32Addr)</div><div class="ttdoc">Execute ISP command to read a word from flash.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00102">fmc.c:102</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gab043658cd7493669ee3875a05be3485c"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab043658cd7493669ee3875a05be3485c">FMC_ReadPID</a></div><div class="ttdeci">uint32_t FMC_ReadPID(void)</div><div class="ttdoc">Read product ID.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00151">fmc.c:151</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gab6ee808b1bcd13ae19c206bab89bd718"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab6ee808b1bcd13ae19c206bab89bd718">FMC_GetBootSource</a></div><div class="ttdeci">int32_t FMC_GetBootSource(void)</div><div class="ttdoc">Get the current boot source.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00077">fmc.c:77</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaba70c75883a8bba7ff7f93b3cc75fac6"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba70c75883a8bba7ff7f93b3cc75fac6">FMC_WriteConfig</a></div><div class="ttdeci">int32_t FMC_WriteConfig(uint32_t *u32Config, uint32_t u32Count)</div><div class="ttdoc">Execute ISP command to write User Configuration.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00311">fmc.c:311</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gadd57308fea4569d942facee962482f9e"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadd57308fea4569d942facee962482f9e">FMC_Open</a></div><div class="ttdeci">void FMC_Open(void)</div><div class="ttdoc">Enable FMC ISP function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00090">fmc.c:90</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gafc1ab62919a2d7714a4514cafa1dfea8"><div class="ttname"><a href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc1ab62919a2d7714a4514cafa1dfea8">FMC_ReadUCID</a></div><div class="ttdeci">uint32_t FMC_ReadUCID(uint32_t u32Index)</div><div class="ttdoc">This function reads one of the four UCID.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbc/fmc_8c_source.html#l00176">fmc.c:176</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:30 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
